Name:           crow-translate
Version:        2.2.3
Release:        1%{?dist}
Summary:        A simple Qt GUI for Google, Yandex and Bing translators

License:        GPLv3 nad MIT and BSD
URL:            https://crow-translate.github.io
Source0:        https://github.com/%{name}/%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-devel
BuildRequires:  desktop-file-utils

Requires:       gstreamer1-plugins-good-qt
Requires:       qt-x11
Requires:	hicolor-icon-theme

%description
A simple and lightweight translator that allows to translate and speak text using Google, Yandex and Bing written with Qt5

%prep
%autosetup -n %{name}


%build
%qmake_qt5
%make_build


%install
%make_install  INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/crow
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/status/%{name}-tray-dark.png
%{_datadir}/icons/hicolor/*/status/%{name}-tray-light.png
%{_datadir}/icons/hicolor/scalable/status/%{name}-tray-dark.svg
%{_datadir}/icons/hicolor/scalable/status/%{name}-tray-light.svg

%changelog
* Tue Nov 05 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.3-1
- Polish localization
- French localization
- Fix wrong names in errors
- Fix email address link in the About section
- Use Brazil flag instead of Portugal
* Tue Oct 29 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-6
- some fixes in spec file
* Fri Oct 18 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-5
- addressing icons files
* Thu Oct 17 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-4
- addec 96x96 icons set
* Mon Oct 14 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-3
- fixed a minor bug in Makefile
* Sun Oct 13 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-2
- removed retired dependensy "qt-gstreamer"
* Fri Oct 11 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.2-1
- settings fix
* Thu Oct 10 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.1-2
- added "clear text" feature
* Mon Oct 07 2019 Faeze Baxi <faezebax@riseup.net> - 2.2.1-1
- Initial spec file

